<?php

	namespace Mocha\UI\Pages;
	
	use Phast\RenderingEventArgs;
	use Phast\System;
	use Phast\WebPage;

	class AssetPage extends WebPage
	{
		protected function OnInitializing(\Phast\CancelEventArgs $e)
		{
			header("Content-Type: text/plain");
			
			echo ("package: " . $this->Page->GetPathVariableValue("package") . "\n");
			echo ("version: " . $this->Page->GetPathVariableValue("version") . "\n");
			echo ("path: " . $this->Page->GetPathVariableValue("path") . "\n");
			
			$e->Cancel = true;
		}
	}

?>